// Copyright (c) 2013 The Chromium OS Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

var init = function(require_dongle, test_title) {
  if (!require_dongle) {
    document.getElementById('require_dongle').style.display = 'None';
  }
  document.getElementById('test_title').innerHTML = test_title;
};

var createLabel = function(enMsg, zhMsg) {
  var enSpan = document.createElement('span');
  enSpan.className = 'goofy-label-en';
  enSpan.innerText = enMsg;

  var zhSpan = document.createElement('span');
  zhSpan.className = 'goofy-label-zh';
  zhSpan.innerText = zhMsg;

  var finalDiv = document.createElement('div');
  finalDiv.appendChild(enSpan);
  finalDiv.appendChild(zhSpan);

  return finalDiv;
};

var testInProgress = function(success_rate) {
  var msgs = document.getElementById('message');
  msgs.innerHTML = '';
  if (success_rate != null) {
    msgs.appendChild(createLabel(
      'Loopback testing...\nSuccess Rate: ' + success_rate,
      '音源回放测试中...\n成功率: ' + success_rate));
  } else {
    msgs.appendChild(createLabel(
      'Loopback testing...\n',
      '音源回放测试中...\n'));
  }
};

var testFailResult = function(success_rate) {
  var msgs = document.getElementById('message');
  msgs.innerHTML = '';
  msgs.appendChild(createLabel(
    'Testing Result: Fail\nSuccess Rate : ' + success_rate,
    '测试结果: 失败\n成功率: ' + success_rate));
};

var testPassResult = function(success_rate) {
  var msgs = document.getElementById('message');
  msgs.innerHTML = '';
  msgs.appendChild(createLabel(
    'Testing Result: Success!',
    '测试结果: 成功!'));
};
